#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires configured local MySQL database)
#
%define		pdir	DBIx
%define		pnam	TextIndex
Summary:	DBIx::TextIndex - Perl extension for full-text searching in SQL databases
Summary(pl.UTF-8):	DBIx::TextIndex - rozszerzenie do pełnotekstowego przeszukiwania baz SQL
Name:		perl-DBIx-TextIndex
Version:	0.28
Release:	17
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBIx/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1533f1e0c736988b22b29bcd4ba739a8
URL:		http://search.cpan.org/dist/DBIx-TextIndex/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl-Bit-Vector
BuildRequires:	perl-Exception-Class
BuildRequires:	perl-Text-Balanced
BuildRequires:	perl-Text-Unaccent
%endif
Requires:	perl-DBI >= 1.48-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBIx::TextIndex was developed for doing full-text searches on BLOB
columns stored in a database. Almost any database with BLOB and DBI
support should work with minor adjustments to SQL statements in the
module.

%description -l pl.UTF-8
Moduł DBIx::TextIndex służy do przeprowadzania pełnotekstowych
przeszukiwań kolumn BLOB zapisanych w bazie danych. Prawie każda baza
danych z obsługą BLOB i DBI powinna działać po niewielkich poprawkach
wyrażeń SQL w module.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf eg/README
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/DBIx/TextIndex/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/DBIx/*.pm
%{perl_vendorarch}/DBIx/TextIndex
%dir %{perl_vendorarch}/auto/DBIx/TextIndex
%attr(755,root,root) %{perl_vendorarch}/auto/DBIx/TextIndex/*.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBIx-TextIndex.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 21b05a0
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 9e275d0
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> df14b2e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d01fd1e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 167b5d0
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e44f6c5
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5bf33f5
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> cb3c782
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 98934d0
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 77e39f6
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7c9fc01
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 404dcb3
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d6a83df
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3dd3bc5
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9e75835
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> dc5383b
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6334848
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e42ed59
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 20170e2
- updated to 0.28

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> c074621
- generic URL, cleanup

